@import 'src/app/styles/mixins';
@import 'src/app/styles/props';

:host {
  display: block;
}

// actions
.app-actions {
  @include padding(0 20px);
  @include flex(center, space-between);
  border-radius: 4px;
  background-color: $white;
  height: 44px;

  // left
  .app-left {
    @include flex(center);

    ::ng-deep {
      [actionButton] {
        @include padding(0 10px);
        @include flex(center);
        font-size: 10px;
        line-height: 11px;
        height: 24px;
      }
    }
  }

  // right
  .app-right {
    @include flex(center);

    // button
    button {
      @include padding(0 12px);
      @include flex(center);
      white-space: nowrap;
      height: 24px;
      font-size: 10px;
      line-height: 11px;

      .app-icon {
        @include box(16px);
        margin-right: 3px;
      }

      &.toggled {
        border: 0;
        background-color: $alice-blue;
      }
    }

    // button gap
    button + button {
      margin-left: 12px;
    }
  }

  // when filter opened
  &.opened {
    border-radius: 4px 4px 0 0;
  }
}

// view types
.app-view-types {
  @include flex(center);

  // divider
  .app-divider {
    margin: 0 18px 0 20px;
    width: 1px;
    height: 31px;
    background-color: rgba($eclipse, 0.1);
  }

  // icon
  .app-icon {
    @include box(18px);
    cursor: pointer;

    &:hover {
      opacity: 0.8;
    }

    &.selected {
      ::ng-deep {
        path {
          fill: $black;
        }
      }
    }
  }

  // icon gap
  .app-icon + .app-icon {
    margin-left: 14px;
  }
}

// filters
.app-filters {
  @include padding(13px 20px);
  @include borderTop(1px solid $solitude);
  background-color: $white;
  border-radius: 0 0 4px 4px;
  display: none;

  // filter section title
  .app-title {
    @include ubuntuMedium;
    font-size: 12px;
    line-height: 13px;
    color: $egyptian-blue;
    margin-bottom: 9px;
  }

  // filter content
  .app-content {
    @include flex(flex-end, space-between);

    // filter items
    .app-filter-items {
      @include flex(flex-end);
    }

    // right
    .app-right {
      @include flex(flex-end);

      button {
        width: 80px;
        height: 28px;
        font-size: 10px;
        line-height: 13px;
      }

      // button gap
      button + button {
        margin-left: 12px;
      }
    }
  }

  &.opened {
    display: block;
  }
}

// field gap
app-dynamic-field + app-dynamic-field {
  margin-left: 12px;
}

@media (max-width: 767px) {
  .app-filters {
    .app-content {
      .app-filter-items {
        flex: 0 0 100%;
      }
      .app-right {
        margin-top: 16px;
        margin-bottom: 8px;
        justify-content: flex-end;
        width: 100%;
      }
    }
  }
  // field gap
  app-dynamic-field + app-dynamic-field {
    margin-left: 0;
    margin-top: 10px;
  }
  // field gap
  app-dynamic-field + app-dynamic-field:nth-child(even) {
    margin-left: 12px !important;
  }
}

@media (min-width: 768px) and (max-width: 1280px) {
  // filters
  .app-filters {
    .app-content {
      flex-direction: column;
      align-items: flex-start;
      // right
      .app-right {
        margin-top: 16px;
        margin-bottom: 8px;
        justify-content: flex-end;
        width: 100%;
      }
    }
  }
}
